Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thaiopensource.util
Class Ref<T>

    java.lang.Object
      com.thaiopensource.util.Ref<T>

    public class Ref<T>

extends Object

Simple generic class to hold a reference to an object.

Constructor Summary
`Ref()`
`Ref(T obj)`

Method Summary
`void` | `clear()`
`T` | `get()`
`void` | `set(T obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ref

    public Ref()

### Ref

    public Ref(T obj)

Method Detail

### get

    public T get()

### set

    public void set(T obj)

### clear

    public void clear()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD